export default {
    inject: ['getFormRef', 'getFormItem', 'getFormModel', 'getFormRules', 'getRenderRules'],
    computed: {
        formRef() {
            // noinspection JSUnresolvedFunction
            return this.getFormRef()
        },
        formItem() {
            // noinspection JSUnresolvedFunction
            return this.getFormItem()
        },
        formModel() {
            // noinspection JSUnresolvedFunction
            return this.getFormModel()
        },
        formRules() {
            // noinspection JSUnresolvedFunction
            return this.getFormRules()
        },
        renderRules() {
            // noinspection JSUnresolvedFunction
            return this.getRenderRules()
        }
    }
}